=head1 NAME

Gtk2::ImageView::Nav -  Navigation window showing a thumbnailed overview of a Gtk2::ImageView.

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::ImageView::Nav



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut

=for object Gtk2::ImageView::Nav Navigation window showing a thumbnailed overview of a Gtk2::ImageView.

=head1 DESCRIPTION

Gtk2::ImageView::Nav is a popup window that shows a downscaled preview of the
pixbuf that Gtk2::ImageView is showing. The user can drag around a rectangle
which indicates the current view of the image.

This class is used by Gtk2::ImageView::ScrollWin itself. It is probably not very
useful for clients of this library.

Gtk2::ImageView::Nav has the same keybindings that Gtk2::ImageView has. All
keypresses that it receives are passed along to the view. 

=cut




=head1 METHODS

=head2 widget = $view-E<gt>B<new> 

Returns a new Gtk2::ImageView::Nav for showing thumbnails of the view. The
pixbuf is by default undef.

=head2 $nav-E<gt>B<grab> 

=head2 pixbuf = $nav-E<gt>B<get_pixbuf> 

Returns the downscaled pixbuf of the views pixbuf that this
Gtk2::ImageView::Nav shows, or undef if that pixbuf has not been created yet.

The pixbuf is by default undef.

=head2 $nav-E<gt>B<release> 

=head2 $nav-E<gt>B<show_and_grab> ($center_x, $center_y)

=over

=item * $center_x (integer) 

=item * $center_y (integer) 

=back

Returns the Gtk2::ImageView::Nav centered around the point (center_x, center_y)
and grab mouse and keyboard events. The grab continues until a button release
event is received which causes the widget to hide.



=cut


=head1 PROPERTIES

=over

=item 'view' (Gtk2::ImageView : default undef : writable / construct-only)

Image View to navigate

=back



=cut


=head1 SEE ALSO

L<Gtk2::ImageView>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>


=cut


=head1 COPYRIGHT

Copyright (C) 2007 by Jeffrey Ratcliffe.

This software is licensed under the GPL-3; see L<Gtk2::ImageView> for a full notice.


=cut

